--- title: "Get media asset analysis status" slug: "mi-index-status" updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/mi-index-status" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get media asset analysis status Available in VPC Get the latest analysis (indexing) status of a media asset. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/{asset_id}/index/status | ### Request headers For information about the headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | | `project_id` | String | Required | Project ID - See [Get project list](/docs/en/maiu-list-projects). | | `asset_id` | String | Required | Media asset ID - See [Get media asset list](/docs/en/mi-list-assets). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/assets/5678/index/status' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Analysis status information | | `result.status` | String | - | Analysis status - `BEFORE_ANALYZE` \| `WAIT_ANALYZE` \| `ANALYZING` \| `ANALYZE_COMPLETED` \| `ANALYZE_FAIL` \| `ANALYZE_CANCEL` - `BEFORE_ANALYZE`: Initial status when no analysis has been performed - `WAIT_ANALYZE`: Job pending after requesting analysis - `ANALYZING`: Analysis in progress - `ANALYZE_COMPLETED`: Analysis succeeded - `ANALYZE_FAIL`: Failure because an error occurred while analyzing - `ANALYZE_CANCEL`: Analysis canceled by the user | | `result.statusMessage` | String | - | Error details when analysis fails | | `result.indexId` | Integer | - | Index ID - Returned upon completed analysis (`ANALYZE_COMPLETED`). | ### Response status codes For information about the HTTP status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "status": "ANALYZE_COMPLETED", "statusMessage": null, "indexId": 23844 } } ```